ServerEvents.recipes(event => {
    global.replaceInputs(
        event,
        {mod: 'darkutils'}, [
        ['#darkutils:plate_base', 'darkutils:blank_plate'],
        ['#minecraft:fence_gates', 'darkutils:blank_plate'],
        ['#forge:stone', '#kubejs:grist/intelligent/basic']
    ]);

    event.custom(
        {
            "type": "industrialforegoing:dissolution_chamber",
            "input": [
              {
                "tag": "kubejs:grist/agricultural/basic"
              },
              {
                "tag": "darkutils:plate_base"
              },
              {
                "tag": "darkutils:plate_base"
              },
              {
                "tag": "kubejs:grist/agricultural/basic"
              }
            ],
            "inputFluid": "{Amount:600,FluidName:\"industrialforegoing:pink_slime\"}",
            "output": {
              "count": 3,
              "item": "darkutils:blank_plate"
            },
            "processingTime": 300
          }
    );

    event.replaceInput(
        {id: 'darkutils:crafting/vector_plate'},
        'minecraft:slime_ball',
        '#kubejs:grist/agricultural/basic'
    );

    event.replaceInput(
        {id: 'darkutils:crafting/vector_plate'},
        'minecraft:sugar',
        '#kubejs:grist/build/basic'
    );

    event.shaped('darkutils:damage_plate_player', [
        ' A ',
        'BCB',
        'DDD'
    ], {
        'A': '#kubejs:grist/intelligent/improved',
        'B': '#kubejs:grist/build/basic',
        'C': '#kubejs:grist/agricultural/improved',
        'D': 'darkutils:damage_plate'
    });

    event.shaped('darkutils:damage_plate', [
        '   ',
        'ABA',
        'CCC'
    ], {
        'A': '#kubejs:grist/intelligent/basic',
        'B': '#kubejs:grist/agricultural/improved',
        'C': 'darkutils:blank_plate'
    });

    event.replaceInput(
        {id: 'darkutils:crafting/filter_player'},
        'minecraft:golden_pickaxe',
        '#kubejs:grist/intelligent/improved'
    );
});