ServerEvents.recipes(event => {
    // The four elements of malloc
	// Farming - Plants, foods, cooking, etc
	// Build - Placing blocks, destroying blocks, processing ores
	// Energetic - Energy production, redstone, mechanisms, pistons
	// Magnetic - enchanting, magic items, etc

	// Grist groups
	// Primordeal - used in nearly all tier'd recipes
	// Farming - For organics, fertilizer, usage in insolator, hoe/scythe parts for silentgear?
	// Build - For creating building gadgets, construction paste, modular routers, darkutilities parts...? usage in pulverizer?
	// Energetic - Power production, redstone gadgets, anything that needs RF
	// Intelligent - Enchanting, magic items, teleportation, item storage, automation
	// Universal - combination of all top tiers from all groups, works like all other types in machines, recipes, etc

    /*
    Progression recipes
        Primordeal grist - just a combination of each of the four elements
        
        Side story lines / mod exploration lines:
            Exploration:
                Transportation: waystones, summoning horses, immersive aircraft, warp plates, tempad, warp scrolls, warp stone
                Dog training: vanilla dog achievement, treats, dog training achievement, beds, collars, healing, armors
                Survival: heartstones, scaling health, sleeping bags, caupona portable jar + aspics, auto-feeding backpack
                Exploration: bounty boards, visiting dungeons galore, biomes, finding shack achievement, finding tablets, tablet table, visiting biomes, collecting items and achievements
                Tools and equipment: apotheosis, exposure, silent gear tools + armor, flux drill, flux saw, backpacks, chalk, ...?
                Combat: attack dummy, silent gear weapons, attack ars runes, gateway orbs, spawners, apotheosis bosses
            Base building:
                Aesthetics: comforts, chimneys, chipped, chisel, furniture
                Infrastructure: sophisticated storage, refined storage, elevators, mighty mail, chimes, cooking for blockheads, caupona spas
                Base building: chimes, iron furnaces, cooking for blockheads
                Fine Dining: neopolitan, Croptopia, Sushi Go Crafting, Farmer's Delight, Caupona, Vinery, brewery, bakery, candelight, teas, sandwich mod
                Creative mode: angel ring, ...?
            Achievements: killed xxx zombies, visited all alex's biomes, looted xxx chests, visited every dungeon, 8x compressed blocks, grist tiers, spice of life achievements
    */

    /*event.custom({
        type: "apotheosis:enchanting",
        input: {
            item: "kubejs:unstable_grist_capacitor"
        },
        requirements: {
            eterna: 40,
            quanta: 15,
            arcana: 60
        },
        max_requirements: {
            eterna: -1,
            quanta: 25,
            arcana: -1
        },
        result: Item.of('kubejs:grist_energetic_improved').toJson()
    });*/
});